#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPX(op, t, x) operator op(CRP(t, x))
#define OPL(t, x) bool OPX(<, t, x) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef int64_t ll, i64;
typedef uint64_t ull, u64;
template <typename T>
using enable_if_arithmetic = typename enable_if<is_arithmetic<T>::value>::type;
template <typename T>
using enable_if_integral = typename enable_if<is_integral<T>::value>::type;
inline char getchar(int)
{
    static char buf[64 << 20], *S = buf, *T = buf;
    if (S == T) T = fread(S = buf, 1, 64 << 20, stdin) + S;
    return S == T ? EOF : *S++;
}
template <typename T, typename = enable_if_integral<T>>
inline void read(T &x)
{
    int ch = x = 0, f = 1;
    while (!isdigit(ch = getchar()))
        if (ch == '-') f = -1;
    for (; isdigit(ch); ch = getchar()) x = x * 10 + ch - '0';
    x *= f;
}
template <typename T, typename... Args, typename = enable_if_integral<T>>
inline void read(T &x, Args &... args) { read(x), read(args...); }
ll gcd(ll a, ll b) { return b == 0 ? a : gcd(b, a % b); }
ll fpow(ll a, ll b, ll m)
{
    ll r = 1;
    for (; b; b >>= 1, a = a * a % m)
        if (b & 1) r = r * a % m;
    return r;
}
constexpr double eps = 1e-8;
inline int sgn(double x) { return x > eps ? 1 : x < -eps ? -1 : 0; }
int l[10];
int st[10];
int main()
{
    int n, A, B, C, ans = INT_MAX;
    read(n, A, B, C);
    for (int i = 0; i < n; i++) read(l[i]);
    for (int i = 0; i < (1 << (n << 1)); i++)
    {
        for (int j = 0; j < n; j++) st[j] = i >> (j << 1) & 3;
        int a = 0, b = 0, c = 0;
        int ca = 0, cb = 0, cc = 0;
        for (int j = 0; j < n; j++) switch (st[j])
            {
            case 1:
                a += l[j], ca++;
                break;
            case 2:
                b += l[j], cb++;
                break;
            case 3:
                c += l[j], cc++;
                break;
            }
        if (!ca || !cb || !cc) continue;
        ans = min(ans, abs(A - a) + abs(B - b) + abs(C - c) + 10 * (ca + cb + cc - 3));
    }
    printf("%d", ans);
    return 0;
}